# BypassSpeedChanceAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class BypassSpeedChanceAbAttr

If a Pokémon with this Ability selects a damaging move, it has a 30% chance of going first in its priority bracket. If the Ability activates, this is announced at the start of the turn (after move selection).

#### Hierarchy (view full)

- AbAttr
  - BypassSpeedChanceAbAttr

- Defined in src/data/ability.ts:3869

#####
Index

### Constructors

constructor

### Properties

chance
showAbility

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new BypassSpeedChanceAbAttr(chance): BypassSpeedChanceAbAttr

- #### Parameters

  - chance: number

    probability of ability being active.

  #### Returns BypassSpeedChanceAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:3875

## Properties

### chance

chance: number

- Defined in src/data/ability.ts:3870

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean

- bypass move order in their priority bracket when pokemon choose damaging move

  #### Parameters

  - pokemon: default

    `Pokemon` the Pokemon applying this ability

  - passive: boolean

    N/A

  - cancelled: BooleanHolder

    N/A

  - args: any[]

    [0] `Utils.BooleanHolder` set to true when the ability activated

  #### Returns boolean

  - whether the ability was activated.

  Overrides AbAttr.apply

  - Defined in src/data/ability.ts:3888

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Overrides AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:3907